package com.ruoyi.project.production.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.production.controller.vo.SaiQueryVO;
import com.ruoyi.project.production.domain.TSai;

/**
 * SAI信息Mapper接口
 * 
 * @author ruoyi
 * @date 2023-03-08
 */
public interface TSaiMapper 
{
    /**
     * 查询SAI信息
     * 
     * @param saiId SAI信息ID
     * @return SAI信息
     */
    public TSai selectTSaiById(Long saiId);

    /**
     * 查询SAI信息列表
     *
     * @param tSai SAI信息
     * @return SAI信息集合
     */
    @DataScope(deptAlias = "d")
    public List<TSai> selectTSaiListByYear(SaiQueryVO tSai);

    /**
     * 查询SAI信息列表
     * 
     * @param tSai SAI信息
     * @return SAI信息集合
     */
    @DataScope(deptAlias = "d")
    public List<TSai> selectTSaiList(TSai tSai);

    /**
     * 新增SAI信息
     * 
     * @param tSai SAI信息
     * @return 结果
     */
    public int insertTSai(TSai tSai);

    /**
     * 修改SAI信息
     * 
     * @param tSai SAI信息
     * @return 结果
     */
    public int updateTSai(TSai tSai);

    /**
     * 删除SAI信息
     * 
     * @param saiId SAI信息ID
     * @return 结果
     */
    public int deleteTSaiById(Long saiId);

    /**
     * 批量删除SAI信息
     * 
     * @param saiIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSaiByIds(Long[] saiIds);
}
